Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.model
Interface OWLObjectVisitor

All Known Implementing Classes:
  ExceptionThrowingOWLObjectVisitorAdapter, OWLObjectVisitorAdapter

public interface OWLObjectVisitor

A Visitor for OWL data structure objects. See Design Patterns, Gamma et. al. p.331 for a detailed description of the Visitor pattern. If you wish to define operations over the data structure (e.g. providing some kind of 3rd party representation of an OWL ontology), then you should implement this interface accordingly. For each concrete class `Concrete` in the OWLObject hierarchy, a function `visit(Concrete)` must be provided.
The expression can then be visited using the `accept` method.
Use of the Visitor architecture allows us to add application-specific functionality without "tainting" the data structure. Be aware, though, that if the concrete subclasses of `OWLObject` change, then the implementors of this interface may need to change accordingly.

Version:
  $Id: OWLObjectVisitor.java,v 1.1.1.1 2003/10/14 17:10:08 sean_bechhofer Exp $

Method Summary
`void` | `visit(OWLAnd node)`
`void` | `visit(OWLAnnotationInstance node)`
`void` | `visit(OWLAnnotationProperty node)`
`void` | `visit(OWLClass node)`
`void` | `visit(OWLDataAllRestriction node)`
`void` | `visit(OWLDataCardinalityRestriction node)`
`void` | `visit(OWLDataEnumeration node)`
`void` | `visit(OWLDataProperty node)`
`void` | `visit(OWLDataSomeRestriction node)`
`void` | `visit(OWLDataType node)`
`void` | `visit(OWLDataValue node)`
`void` | `visit(OWLDataValueRestriction node)`
`void` | `visit(OWLDifferentIndividualsAxiom node)`
`void` | `visit(OWLDisjointClassesAxiom node)`
`void` | `visit(OWLEnumeration node)`
`void` | `visit(OWLEquivalentClassesAxiom node)`
`void` | `visit(OWLEquivalentPropertiesAxiom node)`
`void` | `visit(OWLFrame node)`
`void` | `visit(OWLIndividual node)`
`void` | `visit(OWLNot node)`
`void` | `visit(OWLObjectAllRestriction node)`
`void` | `visit(OWLObjectCardinalityRestriction node)`
`void` | `visit(OWLObjectProperty node)`
`void` | `visit(OWLObjectSomeRestriction node)`
`void` | `visit(OWLObjectValueRestriction node)`
`void` | `visit(OWLOntology node)`
`void` | `visit(OWLOr node)`
`void` | `visit(OWLSameIndividualsAxiom node)`
`void` | `visit(OWLSubClassAxiom node)`
`void` | `visit(OWLSubPropertyAxiom node)`

Method Detail

### visit

    public void visit(OWLAnd node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLAnnotationProperty node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLAnnotationInstance node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLDataValue node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLDataType node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLDataEnumeration node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLDataAllRestriction node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLDataCardinalityRestriction node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLDataProperty node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLDataSomeRestriction node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLDataValueRestriction node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLDifferentIndividualsAxiom node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLDisjointClassesAxiom node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLEquivalentClassesAxiom node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLEquivalentPropertiesAxiom node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLFrame node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLIndividual node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLObjectAllRestriction node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLObjectCardinalityRestriction node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLObjectProperty node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLObjectSomeRestriction node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLObjectValueRestriction node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLNot node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLOntology node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLOr node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLClass node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLEnumeration node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLSameIndividualsAxiom node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLSubClassAxiom node)
               throws OWLException

    `OWLException`

### visit

    public void visit(OWLSubPropertyAxiom node)
               throws OWLException

    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb